---
# Cop supports --autocorrect.
Gitlab/StrongMemoizeAttr:
  Details: grace period
  Exclude:
    - 'app/components/pajamas/avatar_component.rb'
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/concerns/boards_actions.rb'
    - 'app/controllers/concerns/creates_commit.rb'
    - 'app/controllers/concerns/find_snippet.rb'
    - 'app/controllers/concerns/impersonation.rb'
    - 'app/controllers/concerns/issuable_actions.rb'
    - 'app/controllers/concerns/issuable_collections.rb'
    - 'app/controllers/concerns/known_sign_in.rb'
    - 'app/controllers/concerns/wiki_actions.rb'
    - 'app/controllers/groups/dependency_proxy_for_containers_controller.rb'
    - 'app/controllers/ide_controller.rb'
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/invites_controller.rb'
    - 'app/controllers/jira_connect/application_controller.rb'
    - 'app/controllers/jwt_controller.rb'
    - 'app/controllers/oauth/authorizations_controller.rb'
    - 'app/controllers/projects/analytics/cycle_analytics/stages_controller.rb'
    - 'app/controllers/projects/boards_controller.rb'
    - 'app/controllers/projects/compare_controller.rb'
    - 'app/controllers/projects/forks_controller.rb'
    - 'app/controllers/projects/import/jira_controller.rb'
    - 'app/controllers/projects/incidents_controller.rb'
    - 'app/controllers/projects/merge_requests/drafts_controller.rb'
    - 'app/controllers/projects/merge_requests_controller.rb'
    - 'app/controllers/projects/metrics_dashboard_controller.rb'
    - 'app/controllers/projects/milestones_controller.rb'
    - 'app/controllers/projects/pipelines/application_controller.rb'
    - 'app/controllers/projects/pipelines_controller.rb'
    - 'app/controllers/projects/todos_controller.rb'
    - 'app/controllers/repositories/git_http_client_controller.rb'
    - 'app/controllers/repositories/lfs_api_controller.rb'
    - 'app/controllers/sessions_controller.rb'
    - 'app/controllers/whats_new_controller.rb'
    - 'app/finders/autocomplete/users_finder.rb'
    - 'app/finders/ci/commit_statuses_finder.rb'
    - 'app/finders/ci/pipelines_for_merge_request_finder.rb'
    - 'app/finders/cluster_ancestors_finder.rb'
    - 'app/finders/concerns/finder_with_group_hierarchy.rb'
    - 'app/finders/crm/contacts_finder.rb'
    - 'app/finders/crm/organizations_finder.rb'
    - 'app/finders/groups/accepting_group_transfers_finder.rb'
    - 'app/finders/issuable_finder.rb'
    - 'app/finders/issuable_finder/params.rb'
    - 'app/finders/issuables/label_filter.rb'
    - 'app/finders/issues_finder/params.rb'
    - 'app/finders/license_template_finder.rb'
    - 'app/finders/merge_requests_finder/params.rb'
    - 'app/finders/projects/members/effective_access_level_finder.rb'
    - 'app/finders/releases/evidence_pipeline_finder.rb'
    - 'app/finders/releases_finder.rb'
    - 'app/finders/snippets_finder.rb'
    - 'app/finders/todos_finder.rb'
    - 'app/graphql/resolvers/issue_status_counts_resolver.rb'
    - 'app/graphql/resolvers/issues/base_parent_resolver.rb'
    - 'app/graphql/resolvers/namespace_projects_resolver.rb'
    - 'app/graphql/resolvers/work_items_resolver.rb'
    - 'app/graphql/types/board_list_type.rb'
    - 'app/helpers/appearances_helper.rb'
    - 'app/helpers/broadcast_messages_helper.rb'
    - 'app/helpers/diff_helper.rb'
    - 'app/helpers/operations_helper.rb'
    - 'app/helpers/page_layout_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/sessions_helper.rb'
    - 'app/helpers/timeboxes_helper.rb'
    - 'app/models/alert_management/alert.rb'
    - 'app/models/application_setting_implementation.rb'
    - 'app/models/blob_viewer/go_mod.rb'
    - 'app/models/blob_viewer/metrics_dashboard_yml.rb'
    - 'app/models/bulk_imports/export.rb'
    - 'app/models/bulk_imports/export_status.rb'
    - 'app/models/bulk_imports/file_transfer/base_config.rb'
    - 'app/models/ci/bridge.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_dependencies.rb'
    - 'app/models/ci/build_metadata.rb'
    - 'app/models/ci/commit_with_pipeline.rb'
    - 'app/models/ci/group.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/processable.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/commit.rb'
    - 'app/models/commit_collection.rb'
    - 'app/models/compare.rb'
    - 'app/models/concerns/avatarable.rb'
    - 'app/models/concerns/cascading_namespace_setting_attribute.rb'
    - 'app/models/concerns/ci/contextable.rb'
    - 'app/models/concerns/discussion_on_diff.rb'
    - 'app/models/concerns/has_repository.rb'
    - 'app/models/concerns/has_wiki.rb'
    - 'app/models/concerns/has_wiki_page_meta_attributes.rb'
    - 'app/models/concerns/redis_cacheable.rb'
    - 'app/models/concerns/resolvable_discussion.rb'
    - 'app/models/concerns/security/latest_pipeline_information.rb'
    - 'app/models/container_registry/event.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/customer_relations/contact_state_counts.rb'
    - 'app/models/deploy_token.rb'
    - 'app/models/deployment.rb'
    - 'app/models/deployment_metrics.rb'
    - 'app/models/design_management/design.rb'
    - 'app/models/design_management/design_at_version.rb'
    - 'app/models/design_management/version.rb'
    - 'app/models/diff_note.rb'
    - 'app/models/draft_note.rb'
    - 'app/models/environment.rb'
    - 'app/models/environment_status.rb'
    - 'app/models/error_tracking/project_error_tracking_setting.rb'
    - 'app/models/event.rb'
    - 'app/models/event_collection.rb'
    - 'app/models/group.rb'
    - 'app/models/incident_management/project_incident_management_setting.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespaces/traversal/linear.rb'
    - 'app/models/namespaces/traversal/recursive.rb'
    - 'app/models/note.rb'
    - 'app/models/pages/lookup_path.rb'
    - 'app/models/project.rb'
    - 'app/models/release.rb'
    - 'app/models/resource_event.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/snippet.rb'
    - 'app/models/snippet_input_action_collection.rb'
    - 'app/models/state_note.rb'
    - 'app/models/tree.rb'
    - 'app/models/uploads/fog.rb'
    - 'app/models/user.rb'
    - 'app/models/wiki_page.rb'
    - 'app/models/work_item.rb'
    - 'app/policies/application_setting/term_policy.rb'
    - 'app/policies/note_policy.rb'
    - 'app/presenters/blobs/unfold_presenter.rb'
    - 'app/presenters/ci/build_runner_presenter.rb'
    - 'app/presenters/ci/pipeline_artifacts/code_coverage_presenter.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/clusters/cluster_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/presenters/projects/settings/deploy_keys_presenter.rb'
    - 'app/serializers/ci/pipeline_entity.rb'
    - 'app/serializers/linked_project_issue_entity.rb'
    - 'app/services/alert_management/alerts/update_service.rb'
    - 'app/services/alert_management/create_alert_issue_service.rb'
    - 'app/services/alert_management/process_prometheus_alert_service.rb'
    - 'app/services/auth/dependency_proxy_authentication_service.rb'
    - 'app/services/authorized_project_update/project_recalculate_service.rb'
    - 'app/services/auto_merge/base_service.rb'
    - 'app/services/award_emojis/add_service.rb'
    - 'app/services/base_project_service.rb'
    - 'app/services/boards/base_items_list_service.rb'
    - 'app/services/ci/create_downstream_pipeline_service.rb'
    - 'app/services/ci/create_web_ide_terminal_service.rb'
    - 'app/services/ci/job_artifacts/destroy_batch_service.rb'
    - 'app/services/ci/parse_dotenv_artifact_service.rb'
    - 'app/services/ci/pipeline_artifacts/coverage_report_service.rb'
    - 'app/services/ci/pipeline_artifacts/create_code_quality_mr_diff_report_service.rb'
    - 'app/services/ci/pipeline_artifacts/destroy_all_expired_service.rb'
    - 'app/services/ci/pipeline_processing/atomic_processing_service/status_collection.rb'
    - 'app/services/ci/pipeline_schedules/calculate_next_run_service.rb'
    - 'app/services/ci/pipeline_trigger_service.rb'
    - 'app/services/ci/pipelines/hook_service.rb'
    - 'app/services/ci/queue/build_queue_service.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/clusters/agents/authorizations/ci_access/refresh_service.rb'
    - 'app/services/clusters/integrations/prometheus_health_check_service.rb'
    - 'app/services/concerns/alert_management/alert_processing.rb'
    - 'app/services/concerns/incident_management/settings.rb'
    - 'app/services/concerns/issues/resolve_discussions.rb'
    - 'app/services/concerns/suggestible.rb'
    - 'app/services/concerns/update_repository_storage_methods.rb'
    - 'app/services/container_expiration_policies/update_service.rb'
    - 'app/services/dependency_proxy/image_ttl_group_policies/update_service.rb'
    - 'app/services/discussions/resolve_service.rb'
    - 'app/services/error_tracking/collect_error_service.rb'
    - 'app/services/error_tracking/issue_details_service.rb'
    - 'app/services/feature_flags/base_service.rb'
    - 'app/services/git/base_hooks_service.rb'
    - 'app/services/git/branch_hooks_service.rb'
    - 'app/services/git/branch_push_service.rb'
    - 'app/services/git/tag_hooks_service.rb'
    - 'app/services/git/wiki_push_service/change.rb'
    - 'app/services/groups/open_issues_count_service.rb'
    - 'app/services/import/github_service.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file_s3.rb'
    - 'app/services/incident_management/issuable_escalation_statuses/prepare_update_service.rb'
    - 'app/services/incident_management/pager_duty/process_webhook_service.rb'
    - 'app/services/integrations/test/project_service.rb'
    - 'app/services/issuable/discussions_list_service.rb'
    - 'app/services/issues/reorder_service.rb'
    - 'app/services/jira_connect_subscriptions/create_service.rb'
    - 'app/services/jira_import/users_mapper_service.rb'
    - 'app/services/lfs/push_service.rb'
    - 'app/services/markdown_content_rewriter_service.rb'
    - 'app/services/members/invitation_reminder_email_service.rb'
    - 'app/services/merge_requests/build_service.rb'
    - 'app/services/merge_requests/merge_base_service.rb'
    - 'app/services/merge_requests/mergeability/detailed_merge_status_service.rb'
    - 'app/services/merge_requests/mergeability/logger.rb'
    - 'app/services/merge_requests/mergeability/run_checks_service.rb'
    - 'app/services/merge_requests/mergeability_check_service.rb'
    - 'app/services/merge_requests/outdated_discussion_diff_lines_service.rb'
    - 'app/services/merge_requests/pushed_branches_service.rb'
    - 'app/services/merge_requests/refresh_service.rb'
    - 'app/services/metrics/dashboard/clone_dashboard_service.rb'
    - 'app/services/metrics/dashboard/custom_metric_embed_service.rb'
    - 'app/services/metrics/dashboard/dynamic_embed_service.rb'
    - 'app/services/metrics/dashboard/gitlab_alert_embed_service.rb'
    - 'app/services/namespaces/package_settings/update_service.rb'
    - 'app/services/packages/cleanup/execute_policy_service.rb'
    - 'app/services/packages/cleanup/update_policy_service.rb'
    - 'app/services/packages/composer/create_package_service.rb'
    - 'app/services/packages/debian/extract_changes_metadata_service.rb'
    - 'app/services/packages/debian/generate_distribution_key_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/packages/debian/process_changes_service.rb'
    - 'app/services/packages/helm/process_file_service.rb'
    - 'app/services/packages/maven/metadata/base_create_xml_service.rb'
    - 'app/services/packages/maven/metadata/create_plugins_xml_service.rb'
    - 'app/services/packages/maven/metadata/create_versions_xml_service.rb'
    - 'app/services/packages/maven/metadata/sync_service.rb'
    - 'app/services/packages/npm/create_package_service.rb'
    - 'app/services/packages/npm/create_tag_service.rb'
    - 'app/services/packages/nuget/metadata_extraction_service.rb'
    - 'app/services/packages/nuget/search_service.rb'
    - 'app/services/packages/nuget/sync_metadatum_service.rb'
    - 'app/services/packages/nuget/update_package_from_metadata_service.rb'
    - 'app/services/packages/pypi/create_package_service.rb'
    - 'app/services/packages/rpm/parse_package_service.rb'
    - 'app/services/packages/rubygems/dependency_resolver_service.rb'
    - 'app/services/packages/rubygems/process_gem_service.rb'
    - 'app/services/packages/terraform_module/create_package_service.rb'
    - 'app/services/packages/update_tags_service.rb'
    - 'app/services/projects/container_repository/cleanup_tags_base_service.rb'
    - 'app/services/projects/container_repository/third_party/cleanup_tags_service.rb'
    - 'app/services/projects/create_from_template_service.rb'
    - 'app/services/projects/gitlab_projects_import_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_object_download_list_service.rb'
    - 'app/services/projects/open_issues_count_service.rb'
    - 'app/services/projects/record_target_platforms_service.rb'
    - 'app/services/projects/update_statistics_service.rb'
    - 'app/services/prometheus/proxy_service.rb'
    - 'app/services/quick_actions/interpret_service.rb'
    - 'app/services/releases/base_service.rb'
    - 'app/services/resource_access_tokens/revoke_service.rb'
    - 'app/services/resource_events/base_synthetic_notes_builder_service.rb'
    - 'app/services/search/global_service.rb'
    - 'app/services/search/project_service.rb'
    - 'app/services/search_service.rb'
    - 'app/services/security/ci_configuration/sast_parser_service.rb'
    - 'app/services/test_hooks/project_service.rb'
    - 'app/services/test_hooks/system_service.rb'
    - 'app/uploaders/file_mover.rb'
    - 'app/uploaders/object_storage/cdn.rb'
    - 'app/uploaders/object_storage/cdn/google_cdn.rb'
    - 'app/workers/concerns/each_shard_worker.rb'
    - 'app/workers/concerns/limited_capacity/worker.rb'
    - 'app/workers/concerns/packages/cleanup_artifact_worker.rb'
    - 'app/workers/container_expiration_policies/cleanup_container_repository_worker.rb'
    - 'app/workers/container_registry/delete_container_repository_worker.rb'
    - 'app/workers/container_registry/migration/enqueuer_worker.rb'
    - 'app/workers/database/batched_background_migration/execution_worker.rb'
    - 'app/workers/database/batched_background_migration/single_database_worker.rb'
    - 'app/workers/error_tracking_issue_link_worker.rb'
    - 'app/workers/merge_request_cleanup_refs_worker.rb'
    - 'app/workers/packages/cleanup/execute_policy_worker.rb'
    - 'app/workers/packages/debian/generate_distribution_worker.rb'
    - 'app/workers/packages/debian/process_changes_worker.rb'
    - 'app/workers/packages/maven/metadata/sync_worker.rb'
    - 'app/workers/projects/inactive_projects_deletion_cron_worker.rb'
    - 'ee/app/controllers/admin/audit_logs_controller.rb'
    - 'ee/app/controllers/concerns/description_diff_actions.rb'
    - 'ee/app/controllers/concerns/ee/lfs_request.rb'
    - 'ee/app/controllers/concerns/ee/routable_actions/sso_enforcement_redirect.rb'
    - 'ee/app/controllers/concerns/epic_relations.rb'
    - 'ee/app/controllers/ee/admin/health_check_controller.rb'
    - 'ee/app/controllers/ee/groups/settings/repository_controller.rb'
    - 'ee/app/controllers/ee/groups_controller.rb'
    - 'ee/app/controllers/ee/repositories/git_http_controller.rb'
    - 'ee/app/controllers/groups/audit_events_controller.rb'
    - 'ee/app/controllers/groups/epic_boards_controller.rb'
    - 'ee/app/controllers/groups/push_rules_controller.rb'
    - 'ee/app/controllers/groups/todos_controller.rb'
    - 'ee/app/controllers/projects/audit_events_controller.rb'
    - 'ee/app/controllers/projects/subscriptions_controller.rb'
    - 'ee/app/controllers/subscriptions_controller.rb'
    - 'ee/app/finders/approval_rules/group_finder.rb'
    - 'ee/app/finders/concerns/epics/with_access_check.rb'
    - 'ee/app/finders/ee/issues_finder.rb'
    - 'ee/app/finders/epics_finder.rb'
    - 'ee/app/finders/incident_management/oncall_users_finder.rb'
    - 'ee/app/finders/security/pipeline_vulnerabilities_finder.rb'
    - 'ee/app/finders/security/training_providers/base_url_finder.rb'
    - 'ee/app/graphql/resolvers/epics_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_base_resolver.rb'
    - 'ee/app/helpers/admin/emails_helper.rb'
    - 'ee/app/helpers/auditor_user_helper.rb'
    - 'ee/app/helpers/ee/ci/runners_helper.rb'
    - 'ee/app/helpers/ee/preferences_helper.rb'
    - 'ee/app/helpers/ee/registrations_helper.rb'
    - 'ee/app/helpers/ee/timeboxes_helper.rb'
    - 'ee/app/helpers/trials_helper.rb'
    - 'ee/app/helpers/ee/welcome_helper.rb'
    - 'ee/app/helpers/license_monitoring_helper.rb'
    - 'ee/app/helpers/subscriptions_helper.rb'
    - 'ee/app/models/approval_merge_request_rule.rb'
    - 'ee/app/models/approval_state.rb'
    - 'ee/app/models/approval_wrapped_any_approver_rule.rb'
    - 'ee/app/models/approval_wrapped_code_owner_rule.rb'
    - 'ee/app/models/approval_wrapped_rule.rb'
    - 'ee/app/models/approvals/scan_finding_wrapped_rule_set.rb'
    - 'ee/app/models/approvals/wrapped_rule_set.rb'
    - 'ee/app/models/burndown.rb'
    - 'ee/app/models/concerns/deprecated_approvals_before_merge.rb'
    - 'ee/app/models/concerns/ee/approvable.rb'
    - 'ee/app/models/concerns/ee/issue_available_features.rb'
    - 'ee/app/models/concerns/insights_feature.rb'
    - 'ee/app/models/concerns/security/scan_execution_policy.rb'
    - 'ee/app/models/deployments/approval_summary.rb'
    - 'ee/app/models/ee/audit_event.rb'
    - 'ee/app/models/ee/ci/bridge.rb'
    - 'ee/app/models/ee/ci/build.rb'
    - 'ee/app/models/ee/ci/build_dependencies.rb'
    - 'ee/app/models/ee/ci/pipeline.rb'
    - 'ee/app/models/ee/ci/runner.rb'
    - 'ee/app/models/ee/deployment.rb'
    - 'ee/app/models/ee/environment.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/integrations/jira.rb'
    - 'ee/app/models/ee/list.rb'
    - 'ee/app/models/ee/merge_request.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/snippet.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/ee/work_item.rb'
    - 'ee/app/models/gitlab/seat_link_data.rb'
    - 'ee/app/models/gitlab_subscription.rb'
    - 'ee/app/models/issuables_analytics.rb'
    - 'ee/app/models/license.rb'
    - 'ee/app/models/sca/license_compliance.rb'
    - 'ee/app/models/security/orchestration_policy_configuration.rb'
    - 'ee/app/models/security/orchestration_policy_rule_schedule.rb'
    - 'ee/app/models/vulnerabilities/finding.rb'
    - 'ee/app/presenters/approval_rule_presenter.rb'
    - 'ee/app/presenters/ci/minutes/usage_presenter.rb'
    - 'ee/app/presenters/merge_request_approver_presenter.rb'
    - 'ee/app/serializers/dashboard_operations_project_entity.rb'
    - 'ee/app/serializers/ee/member_user_entity.rb'
    - 'ee/app/services/app_sec/dast/pipelines/find_latest_service.rb'
    - 'ee/app/services/app_sec/dast/scan_configs/build_service.rb'
    - 'ee/app/services/approval_rules/params_filtering_service.rb'
    - 'ee/app/services/boards/epics/position_create_service.rb'
    - 'ee/app/services/ci/compare_license_scanning_reports_collapsed_service.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/ci/subscribe_bridge_service.rb'
    - 'ee/app/services/ci/sync_reports_to_approval_rules_service.rb'
    - 'ee/app/services/deployments/approval_service.rb'
    - 'ee/app/services/ee/allowed_email_domains/update_service.rb'
    - 'ee/app/services/ee/auto_merge_service.rb'
    - 'ee/app/services/ee/ci/retry_pipeline_service.rb'
    - 'ee/app/services/ee/incident_management/issuable_escalation_statuses/prepare_update_service.rb'
    - 'ee/app/services/ee/integrations/test/project_service.rb'
    - 'ee/app/services/ee/ip_restrictions/update_service.rb'
    - 'ee/app/services/ee/issuable_base_service.rb'
    - 'ee/app/services/ee/issues/export_csv_service.rb'
    - 'ee/app/services/ee/merge_requests/merge_base_service.rb'
    - 'ee/app/services/ee/post_receive_service.rb'
    - 'ee/app/services/ee/projects/create_from_template_service.rb'
    - 'ee/app/services/ee/projects/gitlab_projects_import_service.rb'
    - 'ee/app/services/ee/protected_branches/create_service.rb'
    - 'ee/app/services/ee/search/global_service.rb'
    - 'ee/app/services/ee/search/group_service.rb'
    - 'ee/app/services/ee/search_service.rb'
    - 'ee/app/services/ee/users/authorized_build_service.rb'
    - 'ee/app/services/ee/users/build_service.rb'
    - 'ee/app/services/ee/users/update_service.rb'
    - 'ee/app/services/elastic/cluster_reindexing_service.rb'
    - 'ee/app/services/epic_issues/list_service.rb'
    - 'ee/app/services/epics/descendant_count_service.rb'
    - 'ee/app/services/epics/related_epic_links/destroy_service.rb'
    - 'ee/app/services/geo/container_repository_sync.rb'
    - 'ee/app/services/geo/event_service.rb'
    - 'ee/app/services/geo/file_registry_removal_service.rb'
    - 'ee/app/services/geo/repository_destroy_service.rb'
    - 'ee/app/services/gitlab_subscriptions/activate_service.rb'
    - 'ee/app/services/gitlab_subscriptions/create_service.rb'
    - 'ee/app/services/gitlab_subscriptions/fetch_purchase_eligible_namespaces_service.rb'
    - 'ee/app/services/gitlab_subscriptions/reconciliations/calculate_seat_count_data_service.rb'
    - 'ee/app/services/groups/sync_service.rb'
    - 'ee/app/services/incident_management/escalation_policies/update_service.rb'
    - 'ee/app/services/incident_management/pending_escalations/process_service.rb'
    - 'ee/app/services/iterations/create_service.rb'
    - 'ee/app/services/merge_requests/update_blocks_service.rb'
    - 'ee/app/services/projects/restore_service.rb'
    - 'ee/app/services/protected_environments/base_service.rb'
    - 'ee/app/services/security/ingestion/tasks/ingest_vulnerabilities/mark_resolved_as_detected.rb'
    - 'ee/app/services/security/report_fetch_service.rb'
    - 'ee/app/services/security/report_summary_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/on_demand_scan_pipeline_configuration_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/operational_vulnerabilities_configuration_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/validate_policy_service.rb'
    - 'ee/app/services/status_page/publish_attachments_service.rb'
    - 'ee/app/services/status_page/publish_base_service.rb'
    - 'ee/app/services/status_page/publish_service.rb'
    - 'ee/app/services/status_page/trigger_publish_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/services/vulnerabilities/create_service.rb'
    - 'ee/app/services/vulnerability_feedback/create_service.rb'
    - 'ee/app/services/vulnerability_feedback/destroy_service.rb'
    - 'ee/app/workers/auth/saml_group_sync_worker.rb'
    - 'ee/app/workers/geo/repository_cleanup_worker.rb'
    - 'ee/app/workers/geo/scheduler/scheduler_worker.rb'
    - 'ee/app/workers/group_saml_group_sync_worker.rb'
    - 'ee/app/workers/status_page/publish_worker.rb'
    - 'ee/lib/api/analytics/project_deployment_frequency.rb'
    - 'ee/lib/api/epic_links.rb'
    - 'ee/lib/api/geo_nodes.rb'
    - 'ee/lib/api/vulnerability_exports.rb'
    - 'ee/lib/api/vulnerability_findings.rb'
    - 'ee/lib/ee/api/geo.rb'
    - 'ee/lib/ee/api/helpers.rb'
    - 'ee/lib/ee/banzai/filter/references/reference_cache.rb'
    - 'ee/lib/ee/container_registry/client.rb'
    - 'ee/lib/ee/gitlab/alert_management/payload/generic.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/data_collector.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/stage_events.rb'
    - 'ee/lib/ee/gitlab/auth/o_auth/auth_hash.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/ee/gitlab/checks/base_checker.rb'
    - 'ee/lib/ee/gitlab/checks/diff_check.rb'
    - 'ee/lib/ee/gitlab/ci/matching/runner_matcher.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/chain/validate/external.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/quota/activity.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/quota/size.rb'
    - 'ee/lib/ee/gitlab/etag_caching/router/rails.rb'
    - 'ee/lib/ee/gitlab/git_access.rb'
    - 'ee/lib/ee/gitlab/gitaly_client/with_feature_flag_actors.rb'
    - 'ee/lib/ee/gitlab/import_export/after_export_strategies/custom_template_export_import_strategy.rb'
    - 'ee/lib/ee/gitlab/issuable_metadata.rb'
    - 'ee/lib/ee/gitlab/security/scan_configuration.rb'
    - 'ee/lib/ee/gitlab/web_hooks/rate_limiter.rb'
    - 'ee/lib/ee/sidebars/groups/menus/issues_menu.rb'
    - 'ee/lib/ee/sidebars/groups/menus/settings_menu.rb'
    - 'ee/lib/elastic/multi_version_util.rb'
    - 'ee/lib/gitlab/auth/group_saml/auth_hash.rb'
    - 'ee/lib/gitlab/auth/group_saml/membership_updater.rb'
    - 'ee/lib/gitlab/auth/group_saml/user.rb'
    - 'ee/lib/gitlab/auth/saml/membership_updater.rb'
    - 'ee/lib/gitlab/auth/smartcard/certificate.rb'
    - 'ee/lib/gitlab/ci/minutes/cached_quota.rb'
    - 'ee/lib/gitlab/ci/minutes/gitlab_contribution_cost_factor.rb'
    - 'ee/lib/gitlab/ci/minutes/runners_availability.rb'
    - 'ee/lib/gitlab/ci/parsers/security/container_scanning.rb'
    - 'ee/lib/gitlab/ci/project_config/compliance.rb'
    - 'ee/lib/gitlab/ci/reports/license_scanning/reports_comparer.rb'
    - 'ee/lib/gitlab/ci/reports/metrics/reports_comparer.rb'
    - 'ee/lib/gitlab/code_owners/entry.rb'
    - 'ee/lib/gitlab/code_owners/loader.rb'
    - 'ee/lib/gitlab/custom_file_templates.rb'
    - 'ee/lib/gitlab/elastic/document_reference.rb'
    - 'ee/lib/gitlab/elastic/indexer.rb'
    - 'ee/lib/gitlab/elastic/project_search_results.rb'
    - 'ee/lib/gitlab/elastic/search_results.rb'
    - 'ee/lib/gitlab/expiring_subscription_message.rb'
    - 'ee/lib/gitlab/geo/health_check.rb'
    - 'ee/lib/gitlab/geo/jwt_request_decoder.rb'
    - 'ee/lib/gitlab/geo/oauth/logout_state.rb'
    - 'ee/lib/gitlab/geo/oauth/logout_token.rb'
    - 'ee/lib/gitlab/geo/oauth/session.rb'
    - 'ee/lib/gitlab/geo/replication/blob_retriever.rb'
    - 'ee/lib/gitlab/graphql/aggregations/epics/epic_node.rb'
    - 'ee/lib/gitlab/ingestion/bulk_insertable_task.rb'
    - 'ee/lib/gitlab/ingestion/bulk_updatable_task.rb'
    - 'ee/lib/gitlab/insights/finders/issuable_finder.rb'
    - 'ee/lib/gitlab/insights/finders/projects_finder.rb'
    - 'ee/lib/gitlab/manual_quarterly_co_term_banner.rb'
    - 'ee/lib/gitlab/return_to_location.rb'
    - 'ee/lib/gitlab_subscriptions/upcoming_reconciliation_entity.rb'
    - 'ee/lib/incident_management/oncall_shift_generator.rb'
    - 'ee/lib/sidebars/groups/menus/analytics_menu.rb'
    - 'ee/lib/sidebars/groups/menus/epics_menu.rb'
    - 'ee/lib/world.rb'
    - 'lib/api/api_guard.rb'
    - 'lib/api/ci/helpers/runner.rb'
    - 'lib/api/ci/pipelines.rb'
    - 'lib/api/commit_statuses.rb'
    - 'lib/api/composer_packages.rb'
    - 'lib/api/container_repositories.rb'
    - 'lib/api/entities/basic_project_details.rb'
    - 'lib/api/helpers/authentication.rb'
    - 'lib/api/terraform/modules/v1/packages.rb'
    - 'lib/api/unleash.rb'
    - 'lib/atlassian/jira_connect/jwt/asymmetric.rb'
    - 'lib/atlassian/jira_connect/jwt/symmetric.rb'
    - 'lib/banzai/filter/base_sanitization_filter.rb'
    - 'lib/banzai/filter/custom_emoji_filter.rb'
    - 'lib/banzai/filter/inline_metrics_redactor_filter.rb'
    - 'lib/banzai/filter/issuable_reference_expansion_filter.rb'
    - 'lib/banzai/filter/references/reference_cache.rb'
    - 'lib/banzai/filter/repository_link_filter.rb'
    - 'lib/bulk_imports/pipeline.rb'
    - 'lib/bulk_imports/users_mapper.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/container_registry/gitlab_api_client.rb'
    - 'lib/container_registry/tag.rb'
    - 'lib/gitlab/alert_management/alert_status_counts.rb'
    - 'lib/gitlab/alert_management/payload/base.rb'
    - 'lib/gitlab/alert_management/payload/managed_prometheus.rb'
    - 'lib/gitlab/analytics/cycle_analytics/aggregated/data_collector.rb'
    - 'lib/gitlab/analytics/cycle_analytics/aggregated/records_fetcher.rb'
    - 'lib/gitlab/analytics/cycle_analytics/average.rb'
    - 'lib/gitlab/analytics/cycle_analytics/data_collector.rb'
    - 'lib/gitlab/analytics/cycle_analytics/records_fetcher.rb'
    - 'lib/gitlab/analytics/cycle_analytics/request_params.rb'
    - 'lib/gitlab/application_context.rb'
    - 'lib/gitlab/auth/atlassian/identity_linker.rb'
    - 'lib/gitlab/auth/auth_finders.rb'
    - 'lib/gitlab/auth/ip_rate_limiter.rb'
    - 'lib/gitlab/auth/key_status_checker.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_token_cloud.rb'
    - 'lib/gitlab/auth/request_authenticator.rb'
    - 'lib/gitlab/background_migration/legacy_upload_mover.rb'
    - 'lib/gitlab/blob_helper.rb'
    - 'lib/gitlab/cache/ci/project_pipeline_status.rb'
    - 'lib/gitlab/chat/command.rb'
    - 'lib/gitlab/checks/changes_access.rb'
    - 'lib/gitlab/checks/diff_check.rb'
    - 'lib/gitlab/ci/artifacts/metrics.rb'
    - 'lib/gitlab/ci/build/auto_retry.rb'
    - 'lib/gitlab/ci/build/cache.rb'
    - 'lib/gitlab/ci/build/context/base.rb'
    - 'lib/gitlab/ci/build/context/global.rb'
    - 'lib/gitlab/ci/build/prerequisite/kubernetes_namespace.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause/changes.rb'
    - 'lib/gitlab/ci/config/entry/product/matrix.rb'
    - 'lib/gitlab/ci/config/entry/root.rb'
    - 'lib/gitlab/ci/config/extendable/entry.rb'
    - 'lib/gitlab/ci/config/external/context.rb'
    - 'lib/gitlab/ci/config/external/file/artifact.rb'
    - 'lib/gitlab/ci/config/external/file/base.rb'
    - 'lib/gitlab/ci/config/external/file/local.rb'
    - 'lib/gitlab/ci/config/external/file/project.rb'
    - 'lib/gitlab/ci/config/external/file/remote.rb'
    - 'lib/gitlab/ci/config/external/file/template.rb'
    - 'lib/gitlab/ci/config/normalizer.rb'
    - 'lib/gitlab/ci/config/normalizer/factory.rb'
    - 'lib/gitlab/ci/pipeline/chain/command.rb'
    - 'lib/gitlab/ci/pipeline/chain/config/content.rb'
    - 'lib/gitlab/ci/pipeline/chain/create.rb'
    - 'lib/gitlab/ci/pipeline/chain/evaluate_workflow_rules.rb'
    - 'lib/gitlab/ci/pipeline/chain/limit/active_jobs.rb'
    - 'lib/gitlab/ci/pipeline/chain/limit/rate_limit.rb'
    - 'lib/gitlab/ci/pipeline/chain/seed.rb'
    - 'lib/gitlab/ci/pipeline/chain/skip.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexer.rb'
    - 'lib/gitlab/ci/pipeline/quota/deployments.rb'
    - 'lib/gitlab/ci/pipeline/seed/processable/resource_group.rb'
    - 'lib/gitlab/ci/project_config/auto_devops.rb'
    - 'lib/gitlab/ci/project_config/external_project.rb'
    - 'lib/gitlab/ci/project_config/parameter.rb'
    - 'lib/gitlab/ci/project_config/remote.rb'
    - 'lib/gitlab/ci/project_config/repository.rb'
    - 'lib/gitlab/ci/project_config/source.rb'
    - 'lib/gitlab/ci/reports/accessibility_reports_comparer.rb'
    - 'lib/gitlab/ci/reports/codequality_reports_comparer.rb'
    - 'lib/gitlab/ci/reports/security/locations/base.rb'
    - 'lib/gitlab/ci/reports/test_reports_comparer.rb'
    - 'lib/gitlab/ci/reports/test_suite_comparer.rb'
    - 'lib/gitlab/ci/reports/test_suite_summary.rb'
    - 'lib/gitlab/ci/status/composite.rb'
    - 'lib/gitlab/ci/tags/bulk_insert.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/ci/trace/archive.rb'
    - 'lib/gitlab/ci/trace/checksum.rb'
    - 'lib/gitlab/ci/trace/remote_checksum.rb'
    - 'lib/gitlab/ci/variables/builder.rb'
    - 'lib/gitlab/ci/variables/builder/group.rb'
    - 'lib/gitlab/ci/variables/builder/release.rb'
    - 'lib/gitlab/ci/variables/collection/item.rb'
    - 'lib/gitlab/ci/variables/collection/sort.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'lib/gitlab/cleanup/orphan_job_artifact_files_batch.rb'
    - 'lib/gitlab/code_navigation_path.rb'
    - 'lib/gitlab/config/entry/composable_array.rb'
    - 'lib/gitlab/config/loader/yaml.rb'
    - 'lib/gitlab/conflict/file.rb'
    - 'lib/gitlab/database/background_migration/health_status/indicators/write_ahead_log.rb'
    - 'lib/gitlab/database/bulk_update.rb'
    - 'lib/gitlab/database/load_balancing/srv_resolver.rb'
    - 'lib/gitlab/database/metrics.rb'
    - 'lib/gitlab/database/postgres_index.rb'
    - 'lib/gitlab/diff/char_diff.rb'
    - 'lib/gitlab/diff/file.rb'
    - 'lib/gitlab/diff/file_collection/base.rb'
    - 'lib/gitlab/diff/file_collection/merge_request_diff_base.rb'
    - 'lib/gitlab/diff/highlight_cache.rb'
    - 'lib/gitlab/diff/lines_unfolder.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file.rb'
    - 'lib/gitlab/diff/stats_cache.rb'
    - 'lib/gitlab/diff/suggestion.rb'
    - 'lib/gitlab/discussions_diff/file_collection.rb'
    - 'lib/gitlab/email/handler/service_desk_handler.rb'
    - 'lib/gitlab/email/receiver.rb'
    - 'lib/gitlab/external_authorization/response.rb'
    - 'lib/gitlab/gfm/reference_rewriter.rb'
    - 'lib/gitlab/gfm/uploads_rewriter.rb'
    - 'lib/gitlab/git/commit.rb'
    - 'lib/gitlab/git/diff_stats_collection.rb'
    - 'lib/gitlab/git/merge_base.rb'
    - 'lib/gitlab/git/push.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/git/wiki_page_version.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/git_access_project.rb'
    - 'lib/gitlab/gitaly_client/with_feature_flag_actors.rb'
    - 'lib/gitlab/github_import/client.rb'
    - 'lib/gitlab/github_import/representation/diff_notes/suggestion_formatter.rb'
    - 'lib/gitlab/gl_repository/identifier.rb'
    - 'lib/gitlab/gpg/commit.rb'
    - 'lib/gitlab/graphql/lazy.rb'
    - 'lib/gitlab/graphql/pagination/keyset/connection.rb'
    - 'lib/gitlab/import_export/base/relation_factory.rb'
    - 'lib/gitlab/import_export/base/relation_object_saver.rb'
    - 'lib/gitlab/import_export/decompressed_archive_size_validator.rb'
    - 'lib/gitlab/import_export/fast_hash_serializer.rb'
    - 'lib/gitlab/import_export/group/tree_restorer.rb'
    - 'lib/gitlab/import_export/importer.rb'
    - 'lib/gitlab/import_export/lfs_restorer.rb'
    - 'lib/gitlab/import_export/project/sample/date_calculator.rb'
    - 'lib/gitlab/import_export/project/tree_restorer.rb'
    - 'lib/gitlab/inactive_projects_deletion_warning_tracker.rb'
    - 'lib/gitlab/instrumentation/redis_base.rb'
    - 'lib/gitlab/instrumentation/redis_payload.rb'
    - 'lib/gitlab/issuable_metadata.rb'
    - 'lib/gitlab/jwt_authenticatable.rb'
    - 'lib/gitlab/kubernetes/deployment.rb'
    - 'lib/gitlab/kubernetes/ingress.rb'
    - 'lib/gitlab/kubernetes/rollout_instances.rb'
    - 'lib/gitlab/language_data.rb'
    - 'lib/gitlab/lets_encrypt/client.rb'
    - 'lib/gitlab/metrics/dashboard/stages/grafana_formatter.rb'
    - 'lib/gitlab/metrics/dashboard/url.rb'
    - 'lib/gitlab/metrics/prometheus.rb'
    - 'lib/gitlab/pages/cache_control.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/rack_attack/request.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/relative_positioning/ending_at.rb'
    - 'lib/gitlab/relative_positioning/item_context.rb'
    - 'lib/gitlab/relative_positioning/starting_from.rb'
    - 'lib/gitlab/request_context.rb'
    - 'lib/gitlab/search/found_blob.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/duplicate_job.rb'
    - 'lib/gitlab/sidekiq_middleware/duplicate_jobs/strategies/deduplicates_when_scheduling.rb'
    - 'lib/gitlab/sidekiq_queue.rb'
    - 'lib/gitlab/signed_commit.rb'
    - 'lib/gitlab/ssh/signature.rb'
    - 'lib/gitlab/suggestions/file_suggestion.rb'
    - 'lib/gitlab/task_helpers.rb'
    - 'lib/gitlab/template/gitlab_ci_yml_template.rb'
    - 'lib/gitlab/tracking/destinations/snowplow_micro.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/web_hooks/rate_limiter.rb'
    - 'lib/gitlab/web_ide/config/entry/terminal.rb'
    - 'lib/gitlab/webpack/graphql_known_operations.rb'
    - 'lib/gitlab/webpack/manifest.rb'
    - 'lib/gitlab/wiki_pages/front_matter_parser.rb'
    - 'lib/gitlab/x509/signature.rb'
    - 'lib/gitlab/x509/tag.rb'
    - 'lib/grafana/time_window.rb'
    - 'lib/object_storage/direct_upload.rb'
    - 'lib/safe_zip/extract_params.rb'
    - 'lib/sidebars/groups/menus/issues_menu.rb'
    - 'lib/sidebars/groups/menus/merge_requests_menu.rb'
    - 'lib/sidebars/projects/menus/analytics_menu.rb'
    - 'lib/sidebars/projects/menus/issues_menu.rb'
    - 'lib/unnested_in_filters/rewriter.rb'
    - 'tooling/graphql/docs/helper.rb'
